Debian Bug report logs - #724568
ITP: hidapi -- Library for communicating for USB and Bluetooth HID devices

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Scott Talbert <swt@techie.net>

Date: Wed, 25 Sep 2013 03:48:02 UTC

Owned by: Scott Talbert <swt@techie.net>

Severity: wishlist

Fixed in version hidapi/0.8.0~rc1+git20140201.3a66d4e+dfsg-2

Done: Klee Dienes <klee@mit.edu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#724568; Package wnpp. (Wed, 25 Sep 2013 03:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Talbert <swt@techie.net>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 25 Sep 2013 03:48:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Scott Talbert <swt@techie.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: hidapi -- Library for communicating for USB and Bluetooth HID devices
Date: Tue, 24 Sep 2013 23:18:15 -0400
Package: wnpp
Severity: wishlist
Owner: Scott Talbert <swt@techie.net>

* Package name    : hidapi
  Version         : 0.7.0
  Upstream Author : Alan Ott <alan@signal11.us>
* URL             : http://www.signal11.us/oss/hidapi/
* License         : GPLv3 or BSD
  Programming Lang: C
  Description     : Library for communicating for USB and Bluetooth HID devices

HIDAPI is a multi-platform library which allows an application to interface
with USB and Bluetooth HID-class devices on Windows, Linux, FreeBSD, and Mac OS
X.  On Linux, either the hidraw or the libusb back-end can be used.  There are
trade-offs and the functionality supported is slightly different.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Scott Talbert <swt@techie.net>:
Bug#724568; Package wnpp. (Wed, 25 Sep 2013 09:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thibaut Girka <thib@sitedethib.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Scott Talbert <swt@techie.net>. (Wed, 25 Sep 2013 09:15:04 GMT) Full text and rfc822 format available.

Message #10 received at 724568@bugs.debian.org (full text, mbox):

From: Thibaut Girka <thib@sitedethib.com>
To: Scott Talbert <swt@techie.net>, 724568@bugs.debian.org
Subject: Re: Bug#724568: ITP: hidapi -- Library for communicating for USB and Bluetooth HID devices
Date: Wed, 25 Sep 2013 11:05:01 +0200
[Message part 1 (text/plain, inline)]
On Tue, Sep 24, 2013 at 11:18:15PM -0400, Scott Talbert wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Scott Talbert <swt@techie.net>
> 
> * Package name    : hidapi
>   Version         : 0.7.0
>   Upstream Author : Alan Ott <alan@signal11.us>
> * URL             : http://www.signal11.us/oss/hidapi/
> * License         : GPLv3 or BSD
>   Programming Lang: C
>   Description     : Library for communicating for USB and Bluetooth HID devices
> 
> HIDAPI is a multi-platform library which allows an application to interface
> with USB and Bluetooth HID-class devices on Windows, Linux, FreeBSD, and Mac OS
> X.  On Linux, either the hidraw or the libusb back-end can be used.  There are
> trade-offs and the functionality supported is slightly different.

Hi, did you start working on it? If so, is it publicly available somewhere?
I've started a package for my personal use, but as I wasn't sure it would
be useful to others and that I've got increasingly limited free time, I
haven't filed an ITP.

Anyway, I've attached my current debian.tar.gz if it can be of any help.

Regards,
Thibaut Girka.
[hidapi_0.7.0+-1.debian.tar.gz (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#724568; Package wnpp. (Wed, 25 Sep 2013 12:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Talbert <swt@techie.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 25 Sep 2013 12:51:04 GMT) Full text and rfc822 format available.

Message #15 received at 724568@bugs.debian.org (full text, mbox):

From: Scott Talbert <swt@techie.net>
To: Thibaut Girka <thib@sitedethib.com>, 724568@bugs.debian.org
Subject: Re: Bug#724568: ITP: hidapi -- Library for communicating for USB and Bluetooth HID devices
Date: Wed, 25 Sep 2013 08:23:12 -0400

Thibaut Girka <thib@sitedethib.com> wrote:
>On Tue, Sep 24, 2013 at 11:18:15PM -0400, Scott Talbert wrote:
>> Package: wnpp
>> Severity: wishlist
>> Owner: Scott Talbert <swt@techie.net>
>> 
>> * Package name    : hidapi
>>   Version         : 0.7.0
>>   Upstream Author : Alan Ott <alan@signal11.us>
>> * URL             : http://www.signal11.us/oss/hidapi/
>> * License         : GPLv3 or BSD
>>   Programming Lang: C
>>   Description     : Library for communicating for USB and Bluetooth
>HID devices
>> 
>> HIDAPI is a multi-platform library which allows an application to
>interface
>> with USB and Bluetooth HID-class devices on Windows, Linux, FreeBSD,
>and Mac OS
>> X.  On Linux, either the hidraw or the libusb back-end can be used. 
>There are
>> trade-offs and the functionality supported is slightly different.
>
>Hi, did you start working on it? If so, is it publicly available
>somewhere?
>I've started a package for my personal use, but as I wasn't sure it
>would
>be useful to others and that I've got increasingly limited free time, I
>haven't filed an ITP.
>
>Anyway, I've attached my current debian.tar.gz if it can be of any
>help.

Hi,

I have not started on it.  Thanks for sending your package - I will use that as a starting point.

Scott




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#724568; Package wnpp. (Tue, 08 Oct 2013 00:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Talbert <swt@techie.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Tue, 08 Oct 2013 00:09:04 GMT) Full text and rfc822 format available.


Message #20 received at 724568@bugs.debian.org (full text, mbox):

From: Scott Talbert <swt@techie.net>
To: 724568@bugs.debian.org
Date: Mon, 7 Oct 2013 20:07:13 -0400 (EDT)
RFS bug: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=725749



Added blocking bug(s) of 724568: 725749 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Tue, 08 Oct 2013 04:27:13 GMT) Full text and rfc822 format available.

Reply sent to Klee Dienes <klee@mit.edu>:
You have taken responsibility. (Wed, 26 Feb 2014 16:03:08 GMT) Full text and rfc822 format available.

Notification sent to Scott Talbert <swt@techie.net>:
Bug acknowledged by developer. (Wed, 26 Feb 2014 16:03:08 GMT) Full text and rfc822 format available.

Message #27 received at 724568-close@bugs.debian.org (full text, mbox):

From: Klee Dienes <klee@mit.edu>
To: 724568-close@bugs.debian.org
Subject: Bug#724568: fixed in hidapi 0.8.0~rc1+git20140201.3a66d4e+dfsg-2
Date: Wed, 26 Feb 2014 16:00:07 +0000
Source: hidapi
Source-Version: 0.8.0~rc1+git20140201.3a66d4e+dfsg-2

We believe that the bug you reported is fixed in the latest version of
hidapi, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 724568@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Klee Dienes <klee@mit.edu> (supplier of updated hidapi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 04 Feb 2014 23:09:37 -0500
Source: hidapi
Binary: libhidapi-dev libhidapi-libusb0 libhidapi-hidraw0 libhidapi-libusb0-dbg libhidapi-hidraw0-dbg
Architecture: source amd64
Version: 0.8.0~rc1+git20140201.3a66d4e+dfsg-2
Distribution: unstable
Urgency: low
Maintainer: Scott Talbert <swt@techie.net>
Changed-By: Klee Dienes <klee@mit.edu>
Description: 
 libhidapi-dev - Multi-Platform library for communication with HID devices (develo
 libhidapi-hidraw0 - Multi-Platform library for communication with HID devices (hidraw
 libhidapi-hidraw0-dbg - Debugging symbols for libhidapi-hidraw0
 libhidapi-libusb0 - Multi-Platform library for communication with HID devices (libusb
 libhidapi-libusb0-dbg - Debugging symbols for libhidapi-libusb0
Closes: 724568
Changes: 
 hidapi (0.8.0~rc1+git20140201.3a66d4e+dfsg-2) unstable; urgency=low
 .
   * Update copyright date on debian/* files.
   * Include link to bug report for patch.
   * Include HIDAPI license text as a comment in copyright file.
 .
 hidapi (0.8.0~rc1+git20140201.3a66d4e+dfsg-1) unstable; urgency=low
 .
   * Incorporate patch from Klee Dienes (bump version number to match latest
     GitHub tag, include dfsg in version due to removing non-free files, bump
     standards version, add Files-Excluded listing to copyright file, add
     --parallel to dh command in rules, add watch file).
   * Update license for debian/* to HIDAPI.
   * Add patch to link libhidapi-libusb with pthreads.
   * Added symbols files.
   * Cleanup copyright file to clear lintian warnings.
   * Remove kFreeBSD support for now.
 .
 hidapi (0.7.0+git20140201.3a66d4e-1) unstable; urgency=low
 .
   * Upgrade to latest upstream version (3a66d4e).
   * Removed special FreeBSD package; FreeBSD now uses libusb package.
   * Clarify/update copyright information (thanks Klee Dienes for patch).
   * Add a get-orig-source to rules which downloads from GitHub, removes
     non-free files, and repacks.
 .
 hidapi (0.7.0+git20130909.a88c724-1) unstable; urgency=low
 .
   * Initial release (Closes: #724568)
Checksums-Sha1: 
 02454070835c45630eb01056a3283aa11dc1b9ab 1555 hidapi_0.8.0~rc1+git20140201.3a66d4e+dfsg-2.dsc
 03b13bf8c720b82056f6c482bfb50b5e768771ef 81765 hidapi_0.8.0~rc1+git20140201.3a66d4e+dfsg.orig.tar.bz2
 6b116ed57bbc2d58521589d557723bb96b959b16 5032 hidapi_0.8.0~rc1+git20140201.3a66d4e+dfsg-2.debian.tar.xz
 3cc0a83109292575643070754c9ca31a98c13779 46048 libhidapi-dev_0.8.0~rc1+git20140201.3a66d4e+dfsg-2_amd64.deb
 349f448b984365cb771edfbcc3df7650ff62d36d 13624 libhidapi-libusb0_0.8.0~rc1+git20140201.3a66d4e+dfsg-2_amd64.deb
 2e1892352bc3f89e84169c953c09fe100df752bb 10082 libhidapi-hidraw0_0.8.0~rc1+git20140201.3a66d4e+dfsg-2_amd64.deb
 475f42d221d4c6314e7383ae7d660a9d992b7a69 21250 libhidapi-libusb0-dbg_0.8.0~rc1+git20140201.3a66d4e+dfsg-2_amd64.deb
 25212d944c249f9c6609191608a710e2d0c544ff 17204 libhidapi-hidraw0-dbg_0.8.0~rc1+git20140201.3a66d4e+dfsg-2_amd64.deb
Checksums-Sha256: 
 ff46799997044ac8177a5e27a79862fa748623bb9a035df15c9e061d7a3af012 1555 hidapi_0.8.0~rc1+git20140201.3a66d4e+dfsg-2.dsc
 770e78bcfafccaaff25fbcf815aa2bee46b369e7f0ed12faa9f9260829b88e9c 81765 hidapi_0.8.0~rc1+git20140201.3a66d4e+dfsg.orig.tar.bz2
 7160605b5a08bc0e00b22fd7f4fee8b3a20b5242366195c2cdac45804e985f24 5032 hidapi_0.8.0~rc1+git20140201.3a66d4e+dfsg-2.debian.tar.xz
 cf3df398deb1bbf53f133558e7a9aa2fbd3fe396de0fb43efc5290d2897b05a0 46048 libhidapi-dev_0.8.0~rc1+git20140201.3a66d4e+dfsg-2_amd64.deb
 040539cd14cd6a2d561e08069908d8422b68c35742d5f05b6b99e7e0d10ca5a5 13624 libhidapi-libusb0_0.8.0~rc1+git20140201.3a66d4e+dfsg-2_amd64.deb
 3d685559407c7f4988bfd0ec66b74ddd43b732f1a569ccf3d32315d9d4fde162 10082 libhidapi-hidraw0_0.8.0~rc1+git20140201.3a66d4e+dfsg-2_amd64.deb
 3257d4c0b36419156396ed726933f742860498466e77f5f94e9d87f73ddae2e7 21250 libhidapi-libusb0-dbg_0.8.0~rc1+git20140201.3a66d4e+dfsg-2_amd64.deb
 21cecb1ed50b2d83b43976178d6940bef0a51e9571df1efb8cedbdd8a50dfa7a 17204 libhidapi-hidraw0-dbg_0.8.0~rc1+git20140201.3a66d4e+dfsg-2_amd64.deb
Files: 
 512cf944426cc4c4dc5f054e7f18f679 1555 libs extra hidapi_0.8.0~rc1+git20140201.3a66d4e+dfsg-2.dsc
 a72f3e3f8d6ccde7638aacf36237c777 81765 libs extra hidapi_0.8.0~rc1+git20140201.3a66d4e+dfsg.orig.tar.bz2
 29a58e3d94df521ab6d001200bf48c65 5032 libs extra hidapi_0.8.0~rc1+git20140201.3a66d4e+dfsg-2.debian.tar.xz
 f125fd6afbb9f45c1bfb4cb53e0c9560 46048 libdevel extra libhidapi-dev_0.8.0~rc1+git20140201.3a66d4e+dfsg-2_amd64.deb
 bc0bc2747edb939bf7f8f35702aa131f 13624 libs extra libhidapi-libusb0_0.8.0~rc1+git20140201.3a66d4e+dfsg-2_amd64.deb
 54b9b9e63e574a50f8a606d91ae40e3b 10082 libs extra libhidapi-hidraw0_0.8.0~rc1+git20140201.3a66d4e+dfsg-2_amd64.deb
 1a5ff2c131b33858aff13e18b51492ca 21250 debug extra libhidapi-libusb0-dbg_0.8.0~rc1+git20140201.3a66d4e+dfsg-2_amd64.deb
 e310de0d45dc5adef149ba554bf18171 17204 debug extra libhidapi-hidraw0-dbg_0.8.0~rc1+git20140201.3a66d4e+dfsg-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlL3iz8ACgkQ/I12czyGJg/GBQCffOO9sccOAEQkKqZvwfU4P31L
UuEAnRsaLLsg1fkRnbAb5b5h+TyRzRYS
=MO5x
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Mar 2014 07:30:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:55:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.